Supplier

Fetching list of supplier.

LIST

Return a collection of supplier.

Example of fetching supplier list

Request

GET /suppliers HTTP/1.1

Response

{
	"data": [
		{
			"id": 1,
			"name": "Lina Rau",
			"address": {
				"id": 123,
				"street1": "156 West Points Suite 253",
				"zip": "32392-6142",
				"city": "East Nicolette",
				"country_code": "DE",
				"created_at": "2023-01-10T10:11:49+00:00",
				"updated_at": "2023-01-10T10:11:49+00:00"
			},
			"created_at": "2023-01-10T10:11:49+00:00",
			"updated_at": "2023-01-10T10:11:49+00:00"
		},
		{
			"id": 2,
			"name": "Herr Heinz-Joachim Wiesner B.A.",
			"address": {
				"id": 124,
				"street1": "7924 Swift Crossing Suite 410",
				"zip": "04076-4689",
				"city": "Lake Vincenzahaven",
				"country_code": "DE",
				"created_at": "2023-01-10T10:11:49+00:00",
				"updated_at": "2023-01-10T10:11:49+00:00"
			},
			"created_at": "2023-01-10T10:11:49+00:00",
			"updated_at": "2023-01-10T10:11:49+00:00"
		},
		{
			"id": 3,
			"name": "Paul Fuhrmann",
			"address": {
				"id": 125,
				"street1": "51868 Adrianna Flat",
				"zip": "73632-0613",
				"city": "Legrosport",
				"country_code": "DE",
				"created_at": "2023-01-10T10:11:49+00:00",
				"updated_at": "2023-01-10T10:11:49+00:00"
			},
			"created_at": "2023-01-10T10:11:49+00:00",
			"updated_at": "2023-01-10T10:11:49+00:00"
		},
		{
			"id": 4,
			"name": "Fabian Raab",
			"address": {
				"id": 126,
				"street1": "620 Mikayla Pine",
				"zip": "81387",
				"city": "Jaidenside",
				"country_code": "DE",
				"created_at": "2023-01-10T10:11:49+00:00",
				"updated_at": "2023-01-10T10:11:49+00:00"
			},
			"created_at": "2023-01-10T10:11:49+00:00",
			"updated_at": "2023-01-10T10:11:49+00:00"
		},
		{
			"id": 5,
			"name": "Tim Kruse",
			"address": {
				"id": 127,
				"street1": "43861 Pagac Flat",
				"zip": "33959-6440",
				"city": "East Mortimerhaven",
				"country_code": "DE",
				"created_at": "2023-01-10T10:11:49+00:00",
				"updated_at": "2023-01-10T10:11:49+00:00"
			},
			"created_at": "2023-01-10T10:11:49+00:00",
			"updated_at": "2023-01-10T10:11:49+00:00"
		}
	],
	"links": {
		"first": null,
		"last": null,
		"prev": null,
		"next": null
	},
	"meta": {
		"path": "https://api.smake.io/master-administration/suppliers",
		"per_page": 15,
		"next_cursor": null,
		"prev_cursor": null
	}
}

GET

Return a supplier of given id = x.

Example of fetching specified supplier information

Request

GET /suppliers/2 HTTP/1.1

Response

{
	"id": 2,
	"name": "Herr Heinz-Joachim Wiesner B.A.",
	"address": {
		"id": 124,
		"street1": "7924 Swift Crossing Suite 410",
		"zip": "04076-4689",
		"city": "Lake Vincenzahaven",
		"country_code": "DE",
		"created_at": "2023-01-10T10:11:49+00:00",
		"updated_at": "2023-01-10T10:11:49+00:00"
	},
	"created_at": "2023-01-10T10:11:49+00:00",
	"updated_at": "2023-01-10T10:11:49+00:00"
}

CREATE

Create a new supplier.

Example of create a new supplier

Request

POST /suppliers HTTP/1.1

{
	"name": "Muster Lieferant 2",
	"address": {
		"street1": "Musterstraße 123",
		"zip": "45678",
		"city": "Musterstadt",
		"country_code": "DE"
	}
}

Response

{
  "id": 11,
  "name": "Muster Lieferant 2",
  "address": {
    "id": 95,
    "street1": "Musterstraße 123",
    "zip": "45678",
    "city": "Musterstadt",
    "country_code": "DE",
    "created_at": "2026-02-02T10:06:49+00:00",
    "updated_at": "2026-02-02T10:06:49+00:00"
  },
  "created_at": "2026-02-02T10:06:49+00:00",
  "updated_at": "2026-02-02T10:06:49+00:00"
}